MorphGetBufferSize
ComplexImageMorphology

Before calling any of the MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder functions the application first needs to call the corresponding MorphGetBufferSize to determine the amount of device memory to allocate as a working buffer. More...

## Functions

NppStatus | nppiMorphGetBufferSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Calculate scratch buffer size needed for 1 channel 8-bit unsigned integer MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height. More...
NppStatus | nppiMorphGetBufferSize_8u_C3R (NppiSize oSizeROI, int *hpBufferSize)
| Calculate scratch buffer size needed for 3 channel 8-bit unsigned integer MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder or MorphGradientBorder function based on destination image oSizeROI width and height. More...
NppStatus | nppiMorphGetBufferSize_8u_C4R (NppiSize oSizeROI, int *hpBufferSize)
| Calculate scratch buffer size needed for 4 channel 8-bit unsigned integer MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height. More...
NppStatus | nppiMorphGetBufferSize_16u_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Calculate scratch buffer size needed for 1 channel 16-bit unsigned integer MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height. More...
NppStatus | nppiMorphGetBufferSize_16s_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Calculate scratch buffer size needed for 1 channel 16-bit signed integer MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height. More...
NppStatus | nppiMorphGetBufferSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Calculate scratch buffer size needed for 1 channel 32-bit floating point MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height. More...
NppStatus | nppiMorphGetBufferSize_32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
| Calculate scratch buffer size needed for 3 channel 32-bit floating point MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height. More...
NppStatus | nppiMorphGetBufferSize_32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
| Calculate scratch buffer size needed for 4 channel 32-bit floating point MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height. More...

## Detailed Description

Before calling any of the MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder functions the application first needs to call the corresponding MorphGetBufferSize to determine the amount of device memory to allocate as a working buffer.

The application allocated device memory is then passed as the pBuffer parameter to the corresponding MorphXXXBorder function.

### Common parameters for nppiMorphGetBufferSize functions include:

Parameters

  oSizeROI | Region-of-Interest (ROI).
  hpBufferSize | Required buffer size in bytes.

## Function Documentation

NppStatus nppiMorphGetBufferSize_16s_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 1 channel 16-bit signed integer MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height.

For common parameter descriptions, see Common parameters for nppiMorphGetBufferSize functions.

NppStatus nppiMorphGetBufferSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 1 channel 16-bit unsigned integer MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height.

For common parameter descriptions, see Common parameters for nppiMorphGetBufferSize functions.

NppStatus nppiMorphGetBufferSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 1 channel 32-bit floating point MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height.

For common parameter descriptions, see Common parameters for nppiMorphGetBufferSize functions.

NppStatus nppiMorphGetBufferSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 3 channel 32-bit floating point MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height.

For common parameter descriptions, see Common parameters for nppiMorphGetBufferSize functions.

NppStatus nppiMorphGetBufferSize_32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 4 channel 32-bit floating point MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height.

For common parameter descriptions, see Common parameters for nppiMorphGetBufferSize functions.

NppStatus nppiMorphGetBufferSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 1 channel 8-bit unsigned integer MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height.

For common parameter descriptions, see Common parameters for nppiMorphGetBufferSize functions.

NppStatus nppiMorphGetBufferSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 3 channel 8-bit unsigned integer MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder or MorphGradientBorder function based on destination image oSizeROI width and height.

For common parameter descriptions, see Common parameters for nppiMorphGetBufferSize functions.

NppStatus nppiMorphGetBufferSize_8u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Calculate scratch buffer size needed for 4 channel 8-bit unsigned integer MorphCloseBorder, MorphOpenBorder, MorphTopHatBorder, MorphBlackHatBorder, or MorphGradientBorder function based on destination image oSizeROI width and height.

For common parameter descriptions, see Common parameters for nppiMorphGetBufferSize functions.

Copyright © 2009-2018 NVIDIA Corporation